/*! \mainpage

	CL stands for "Class Library", and is a collection of
	basic utility classes.

	CL includes the following
	- Basic utilities and types in Basics.h
	- Array, PtrArray and NArray resizeable array classes
	- List class for linked lists
	- String and FileName handling classes
	- Heap class for managing priority queues
	- Hash class for string hash tables
	- Timer class for timing operations
*/

/*! \def CL_CHECKING			Do range checking on array accesses */
