/*
    File:       PolyUtil.h

    Function:	

    Author:     Andrew Willmott

    Copyright:  (c) 2000, Andrew Willmott
*/

#ifndef __MER__
#define __MER__

#include "gcl/Geometry.h"

typedef CoordList Poly2D;

Void FindConvexHull(const Poly2D &poly, Poly2D &hull);
Void FindExtrema(const Poly2D &poly, Int minIdx[2], Int maxIdx[2]);
Void FindMinEnclRect(const Poly2D &hull, Int minIdx[2], Int maxIdx[2], Coord &axis);
Void MakeSimplePoly(Poly2D &poly);

#endif
