
/*! \mainpage

	radiator is a radiosity package.
	
		- Options are kept in RadControl.

		- A particular radiosity method inherits from RadMethod. 
		Current methods include:
			- Matrix-based radiosity (theoretical interest only!) (MatRad).
			- Progressive radiosity (basic) (ProgRad).
			- Progressive radiosity with substructuring (HProgRad).
			- Hierarchical/wavelet radiosity (HierRad).

		- Different quad/tri mesh elements (RadElem, NbRadElem, HierElem)
		  and grids (GridBase: RadGrid, HierGrid)

		- Hierarchical radiosity is controlled by
			- HRLink
			- HRElem
				- HRMeshElem
				- Cluster
				- M2Elem
				- M3Elem
				- F2Elem
				- F3Elem
*/
