/*
	File:			TestScene.h

	Function:		Defines creators for various useful trivial test scenes 
					and objects.
					
	Author(s):		Andrew Willmott

	Copyright:		(c) 1997-2000, Andrew Willmott
 */

#ifndef __TestScene__
#define __TestScene__

#include "gcl/Scene.h"

scScenePtr BoxScene(Int centerpiece = 0);
scScenePtr ParallelScene();
scScenePtr SidelightScene();
scScenePtr BlockerScene();
scScenePtr AbuttingScene();
scScenePtr TableScene();
scScenePtr SimpleTriScene();

Void SaveTestModels(FileName &name);

extern Int gQuadType;
// defines triangulation type:
// 0 = keep as quads, 1 = triangulate, 1 diagonal, 2 = triangulate, 
// both diagonals

#endif
