# 
# Setup file for master source directory.
# 'source' this from your sh variant
#

if test -z "$REACTOR"; then
	echo "setting REACTOR to" `pwd`
	REACTOR=`pwd` 
	export REACTOR
	unset REACTOR_BIN
fi

if test ! -e $REACTOR/setup.sh; then
	echo "*** ERROR: $REACTOR/setup.sh does not exist"
else

	if test -z "$REACTOR_BIN"; then
		REACTOR_BIN=$REACTOR/bin
		REACTOR_SCRIPTS=$REACTOR/scripts
		PATH=${PATH}:${REACTOR_BIN}:${REACTOR_SCRIPTS}
		if test -z "$LD_LIBRARY_PATH"; then
			LD_LIBRARY_PATH=$REACTOR/lib
		else
			LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$REACTOR/lib
		fi

		export PATH
		export LD_LIBRARY_PATH
		export REACTOR_BIN
		export REACTOR_SCRIPTS
	fi
fi
